﻿function CommunicateAdapter(option) {
	var _this = this;
	_this.events = option.events;
	var _androidInterface = window.CommunicateInterface;
	
	/**
	 * java call js
	 */
    _this.jsInterface = {
    	/**
    	 * 示例，后续可按此模式添加
    	 */
        onReady: function (e) {
            var callback = _this.events.onReady;
            if (callback) {
                callback(e);
            }
        }
    }
    
	/**
	 * js call java
	 */
    _this.androidInterface = {
		/**
		 * 设置滚动条状态
		 */
		setScrollBarEnabled: function (type) {
			_androidInterface.setScrollBarEnabled(type);
        },
		/**
		 * 设置滚动条状态
		 */
        setSynthText: function (text) {
			_androidInterface.setSynthText(text);
	    },
	    /**
	     * 保存得分到本地数据库
	     */
        setLocalScore: function(score, json){
        	_androidInterface.setLocalScore(score, json);
        },
	    /**
	     * 获取本地保存的得分
	     */
        getLocalScore: function(){
        	return _androidInterface.getLocalScore();
        }
    }
    
}